## xombrero 1.6.3

=== Makefile ===
PREFIX?=/usr/local
BINDIR=${PREFIX}/bin

PROG=xombrero
MAN=xombrero.1

DEBUG= -g

SRCS= cookie.c inspector.c marco.c about.c whitelist.c settings.c inputfocus.c
SRCS+= history.c completion.c tldlist.c externaleditor.c unix.c xombrero.c
CFLAGS+= -O2 -Wall -Wno-format-extra-args -Wunused -Wextra -Wno-unused-parameter
CFLAGS+= -Wno-missing-field-initializers -Wno-sign-compare
CFLAGS+= -Wno-deprecated-declarations -Wfloat-equal ${DEBUG}
CFLAGS+= -DGTK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE
CFLAGS+= -I. -I${.CURDIR}
LDADD= -lutil
GTK_VERSION ?= gtk3
.if ${GTK_VERSION} == "gtk2"
LIBS+= gtk+-2.0
LIBS+= webkit-1.0
.else
LIBS+= gtk+-3.0
LIBS+= webkitgtk-3.0
.endif
LIBS+= libsoup-2.4
LIBS+= gnutls
GTK_CFLAGS!= pkg-config --cflags $(LIBS)
GTK_LDFLAGS!= pkg-config --libs $(LIBS)
CFLAGS+= $(GTK_CFLAGS)
LDFLAGS+= $(GTK_LDFLAGS)
BUILDVERSION != sh "${.CURDIR}/buildver.sh"
.if !${BUILDVERSION} == ""
CPPFLAGS+= -DXOMBRERO_BUILDSTR=\"$(BUILDVERSION)\"
.endif

MANDIR= ${PREFIX}/man/man

CLEANFILES += ${.CURDIR}/javascript.h javascript.h tooltip.h xombrero.cat1 xombrero.core

JSFILES += hinting.js
JSFILES += input-focus.js
JSFILES += autoscroll.js

.for _js in ${JSFILES}
JSCURDIR += ${.CURDIR}/${_js}
.endfor

javascript.h: ${JSFILES} js-merge-helper.pl
	perl ${.CURDIR}/js-merge-helper.pl \
		${JSCURDIR} > javascript.h

tooltip.h: ${MAN} ascii2txt.pl txt2tooltip.pl
	mandoc -Tascii ${.CURDIR}/${MAN} | \
		perl ${.CURDIR}/ascii2txt.pl | \
		perl ${.CURDIR}/txt2tooltip.pl > tooltip.h

beforeinstall:
	install -m 755 -d ${PREFIX}/bin
	install -m 755 -d ${PREFIX}/man/man1/
	install -m 755 -d ${PREFIX}/share/xombrero
	install -m 755 -d ${PREFIX}/share/applications
	install -m 644 $(.CURDIR)/xombrero.css ${PREFIX}/share/xombrero
	install -m 644 $(.CURDIR)/xombrero.desktop ${PREFIX}/share/applications
	install -m 644 ${.CURDIR}/xombreroicon.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/xombreroicon16.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/xombreroicon32.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/xombreroicon48.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/xombreroicon64.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/xombreroicon128.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/tld-rules ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/style.css ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/hsts-preload ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/user-agent-headers ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/http-accept-headers ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/torenabled.ico ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/tordisabled.ico ${PREFIX}/share/xombrero

${PROG} ${OBJS} beforedepend: javascript.h tooltip.h

.include <bsd.prog.mk>

=== dragonfly/Makefile ===
GTK_VERSION?= gtk3
.if ${GTK_VERSION} == "gtk2"
LIBS= gtk+-2.0 webkit-1.0
.else
LIBS= gtk+-3.0 webkitgtk-3.0
.endif
LIBS+= libsoup-2.4 gnutls

LDADD= -lutil -lX11
GTK_CFLAGS!= pkg-config --cflags $(LIBS)
GTK_LDFLAGS!= pkg-config --libs $(LIBS)
CFLAGS+= $(GTK_CFLAGS) -O2 -Wall -I. -I..
LDFLAGS+= $(GTK_LDFLAGS)

PREFIX?= /usr/local
BINDIR?= $(PREFIX)/bin
MANDIR?= $(PREFIX)/man
RESDIR?= $(PREFIX)/share/xombrero/

CC= cc

all: ../javascript.h ../tooltip.h xombrero

../javascript.h: ../js-merge-helper.pl ../hinting.js ../autoscroll.js
	perl ../js-merge-helper.pl ../hinting.js ../input-focus.js \
	../autoscroll.js > ../javascript.h

../tooltip.h: ../ascii2txt.pl ../txt2tooltip.pl ../xombrero.1
	nroff -c -Tascii -mandoc ../xombrero.1 | \
	perl ../ascii2txt.pl | \
	perl ../txt2tooltip.pl > ../tooltip.h

xombrero.o: ../xombrero.o

unix.o: ../unix.o

marco.o: ../marco.o

whitelist.o: ../whitelist.o

settings.o: ../settings.o

about.o: ../about.o

inspector.o: ../inspector.o

cookie.o: ../cookie.o

inputfocus.o: ../inputfocus.o

history.o: ../history.o

completion.o: ../completion.o

externaleditor.o: ../externaleditor.o

tldlist.o: ../tldlist.o

../xombrero.o: ../javascript.h ../tooltip.h

xombrero: xombrero.o dragonfly.o marco.o about.o inspector.o whitelist.o settings.o \
	cookie.o history.o completion.o inputfocus.o tldlist.o externaleditor.o \
	unix.o
	$(CC) $(LDFLAGS) -o $@ *.o $+ $(LDADD)

install: all
	install -m 755 -d $(DESTDIR)$(BINDIR)
	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 755 -d $(DESTDIR)$(RESDIR)
	install -m 755 xombrero $(DESTDIR)$(BINDIR)
	install -m 644 ../xombrero.1 $(DESTDIR)$(MANDIR)/man1/xombrero.1
	install -m 644 ../xombrero.css $(DESTDIR)$(RESDIR)
	install -m 644 ../xombrero.desktop $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 ../xombreroicon16.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon32.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon48.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon64.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon128.png $(DESTDIR)$(RESDIR)
	install -m 644 ../tld-rules $(DESTDIR)$(RESDIR)
	install -m 644 ../style.css $(DESTDIR)$(RESDIR)
	install -m 644 ../hsts-preload $(DESTDIR)$(RESDIR)
	install -m 644 ../torenabled.ico $(DESTDIR)$(RESDIR)
	install -m 644 ../tordisabled.ico $(DESTDIR)$(RESDIR)

clean:
	rm -f xombrero *.o
	rm -f javascript.h
	rm -f tooltip.h

.PHONY: all install clean

=== freebsd/Makefile ===
GTK_VERSION?= gtk3
.if ${GTK_VERSION} == "gtk2"
LIBS= gtk+-2.0 webkit-1.0
.else
LIBS= gtk+-3.0 webkitgtk-3.0
.endif
LIBS+= libsoup-2.4 gnutls

LDADD= -lutil
GTK_CFLAGS!= pkgconf --cflags $(LIBS)
GTK_LDFLAGS!= pkgconf --libs $(LIBS)
CFLAGS+= $(GTK_CFLAGS) -O2 -Wall -I. -I..
LDFLAGS+= $(GTK_LDFLAGS)

PREFIX?= /usr/local
BINDIR?= $(PREFIX)/bin
MANDIR?= $(PREFIX)/man
RESDIR?= $(PREFIX)/share/xombrero

CC?= cc

all: ../javascript.h ../tooltip.h xombrero

../javascript.h: ../js-merge-helper.pl ../hinting.js ../autoscroll.js
	perl ../js-merge-helper.pl ../hinting.js ../input-focus.js \
	../autoscroll.js > ../javascript.h

../tooltip.h: ../ascii2txt.pl ../txt2tooltip.pl ../xombrero.1
	nroff -c -Tascii -mandoc ../xombrero.1 | \
	perl ../ascii2txt.pl | \
	perl ../txt2tooltip.pl > ../tooltip.h

xombrero.o: ../xombrero.o

unix.o: ../unix.o

marco.o: ../marco.o

whitelist.o: ../whitelist.o

settings.o: ../settings.o

about.o: ../about.o

inspector.o: ../inspector.o

cookie.o: ../cookie.o

inputfocus.o: ../inputfocus.o

history.o: ../history.o

completion.o: ../completion.o

externaleditor.o: ../externaleditor.o

tldlist.o: ../tldlist.o

../xombrero.o: ../javascript.h ../tooltip.h

xombrero: xombrero.o freebsd.o marco.o about.o inspector.o whitelist.o settings.o \
	cookie.o history.o completion.o inputfocus.o tldlist.o externaleditor.o \
	unix.o
	$(CC) $(LDFLAGS) -o $@ *.o $+ $(LDADD)

install: all
	install -m 755 -d $(DESTDIR)$(BINDIR)
	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 755 xombrero $(DESTDIR)$(BINDIR)
	install -m 644 ../xombrero.1 $(DESTDIR)$(MANDIR)/man1/xombrero.1
	install -m 644 ../xombrero.css $(DESTDIR)$(RESDIR)
	install -m 644 ../xombrero.desktop $(DESTDIR)$(PREFIX)/share/applications
	install -m 644 ../xombreroicon16.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon32.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon48.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon64.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon128.png $(DESTDIR)$(RESDIR)
	install -m 644 ../tld-rules $(DESTDIR)$(RESDIR)
	install -m 644 ../style.css $(DESTDIR)$(RESDIR)
	install -m 644 ../hsts-preload $(DESTDIR)$(RESDIR)
	install -m 644 ../torenabled.ico $(DESTDIR)$(RESDIR)
	install -m 644 ../tordisabled.ico $(DESTDIR)$(RESDIR)

clean:
	rm -f xombrero *.o
	rm -f javascript.h
	rm -f tooltip.h

.PHONY: all install clean

=== linux/Makefile ===
GTK_VERSION?= gtk3
ifeq ("${GTK_VERSION}", "gtk2")
JS_CF=$(shell pkg-config --silence-errors --cflags javascriptcoregtk-1.0)
JS_LD=$(shell pkg-config --silence-errors --libs javascriptcoregtk-1.0)
else
JS_CF=$(shell pkg-config --silence-errors --cflags javascriptcoregtk-3.0)
JS_LD=$(shell pkg-config --silence-errors --libs javascriptcoregtk-3.0)
endif

LIBS= glib-2.0
ifeq ("${GTK_VERSION}", "gtk2")
LIBS+= gtk+-2.0 webkit-1.0
CFLAGS+=-I/usr/include/gtk-2.0
else
LIBS+= gtk+-3.0 webkitgtk-3.0
CFLAGS+=-I/usr/include/gtk-3.0
endif
LIBS+= libsoup-2.4 gnutls libbsd

CFLAGS+= -O2 -Wall -ggdb3 -D_GNU_SOURCE -I. -I.. $(shell pkg-config --cflags $(LIBS)) $(JS_CF)
LDADD+= $(shell pkg-config --libs $(LIBS)) $(JS_LD) -ldl -lX11

PREFIX?= /usr/local
BINDIR?= $(PREFIX)/bin
APPDIR?= $(PREFIX)/share/applications
MANDIR?= $(PREFIX)/share/man
RESDIR?= $(PREFIX)/share/xombrero

SRCS= $(shell ls ../*.c)
SRCS+= linux.c
OBJS= $(SRCS:.c=.o)
DEPS= $(addsuffix .depend, $(OBJS))

CC?= gcc

BUILDVERSION= $(shell sh $(CURDIR)/../buildver.sh)
ifneq ("${BUILDVERSION}", "")
CFLAGS+= -DXOMBRERO_BUILDSTR=\"$(BUILDVERSION)\"
endif

all: javascript.h tooltip.h xombrero

javascript.h: ../js-merge-helper.pl ../hinting.js ../autoscroll.js
	perl ../js-merge-helper.pl ../hinting.js ../input-focus.js \
	../autoscroll.js > javascript.h

tooltip.h: ../ascii2txt.pl ../txt2tooltip.pl ../xombrero.1
	nroff -c -Tascii -mandoc ../xombrero.1 | \
	perl ../ascii2txt.pl | \
	perl ../txt2tooltip.pl > tooltip.h

xombrero: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $+ $(LDADD)

%.o: %.c
	@echo "Generating $@.depend"
	@$(CC) -MM $(CPPFLAGS) $(CFLAGS) $< | \
	sed 's,^.*\.o[ :]*,$@ $@.depend : ,g' > $@.depend
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c $<

install: all
	install -m 755 -d $(DESTDIR)$(BINDIR)
	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 755 -d $(DESTDIR)$(RESDIR)
	install -m 755 -d $(DESTDIR)$(APPDIR)
	install -m 755 xombrero $(DESTDIR)$(BINDIR)
	install -m 644 ../xombrero.1 $(DESTDIR)$(MANDIR)/man1/xombrero.1
	install -m 644 ../xombrero.css $(DESTDIR)$(RESDIR)
	install -m 644 ../xombrero.desktop $(DESTDIR)$(APPDIR)
	install -m 644 ../xombreroicon16.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon32.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon48.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon64.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon128.png $(DESTDIR)$(RESDIR)
	install -m 644 ../tld-rules $(DESTDIR)$(RESDIR)
	install -m 644 ../style.css $(DESTDIR)$(RESDIR)
	install -m 644 ../hsts-preload $(DESTDIR)$(RESDIR)
	install -m 644 ../torenabled.ico $(DESTDIR)$(RESDIR)
	install -m 644 ../tordisabled.ico $(DESTDIR)$(RESDIR)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/xombrero
	rm -f $(DESTDIR)$(MANDIR)/man1/xombrero.1
	rm -f $(DESTDIR)$(APPDIR)/xombrero.desktop
	rm -f $(DESTDIR)$(RESDIR)/xombreroicon.png
	rm -f $(DESTDIR)$(RESDIR)/xombreroicon16.png
	rm -f $(DESTDIR)$(RESDIR)/xombreroicon32.png
	rm -f $(DESTDIR)$(RESDIR)/xombreroicon48.png
	rm -f $(DESTDIR)$(RESDIR)/xombreroicon64.png
	rm -f $(DESTDIR)$(RESDIR)/xombreroicon128.png
	rm -f $(DESTDIR)$(RESDIR)/xombrero.css
	rm -f $(DESTDIR)$(RESDIR)/tordisabled.ico
	rm -f $(DESTDIR)$(RESDIR)/torenabled.ico
	rm -f $(DESTDIR)$(RESDIR)/tld-rules
	rm -f $(DESTDIR)$(RESDIR)/style.css
	rm -f $(DESTDIR)$(RESDIR)/hsts-preload
	if [ -d $(DESTDIR)$(RESDIR) ]; then rmdir $(DESTDIR)$(RESDIR); fi
clean:
	rm -f xombrero $(OBJS) $(DEPS)
	rm -f javascript.h
	rm -f tooltip.h


-include $(DEPS)

.PHONY: all install clean

=== netbsd/Makefile ===
PREFIX?=/usr/local
BINDIR=${PREFIX}/bin

PROG=xombrero
MAN=xombrero.1

DEBUG= -g

SRCS= cookie.c inspector.c marco.c about.c whitelist.c settings.c inputfocus.c
SRCS+= history.c completion.c tldlist.c externaleditor.c unix.c xombrero.c
SRCS+= netbsd.c
.PATH: ${.CURDIR}/..

CFLAGS+= -O2 -Wall -Wno-format-extra-args -Wunused
CFLAGS+= -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-sign-compare ${DEBUG}
CFLAGS+= -DGTK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE
CFLAGS+= -DGDK_DISABLE_DEPRECATION_WARNINGS -DGLIB_DISABLE_DEPRECATION_WARNINGS
CFLAGS+= -I. -I..
LDADD= -lutil
GTK_VERSION ?= gtk3
.if ${GTK_VERSION} == "gtk2"
LIBS+= gtk+-2.0
LIBS+= webkit-1.0
.else
LIBS+= gtk+-3.0
LIBS+= webkitgtk-3.0
.endif
LIBS+= libsoup-2.4
LIBS+= gnutls
GTK_CFLAGS!= pkg-config --cflags $(LIBS)
GTK_LDFLAGS!= pkg-config --libs $(LIBS)
CFLAGS+= $(GTK_CFLAGS)
LDFLAGS+= $(GTK_LDFLAGS)
BUILDVERSION != sh "${.CURDIR}/../buildver.sh"
.if !${BUILDVERSION} == ""
CPPFLAGS+= -DXOMBRERO_BUILDSTR=\"$(BUILDVERSION)\"
.endif

MANDIR= ${PREFIX}/man/

CLEANFILES += ${.CURDIR}/javascript.h javascript.h tooltip.h xombrero.cat1 xombrero.core xombrero.html1

JSFILES += ../hinting.js
JSFILES += ../input-focus.js
JSFILES += ../autoscroll.js

.for _js in ${JSFILES}
JSCURDIR += ${.CURDIR}/${_js}
.endfor

.NOPATH: javascript.h tooltip.h
javascript.h: ${JSFILES} ../js-merge-helper.pl
	perl ${.CURDIR}/../js-merge-helper.pl \
		${JSCURDIR} > javascript.h

tooltip.h: ${MAN} ../ascii2txt.pl ../txt2tooltip.pl
	mandoc -Tascii ${.CURDIR}/../${MAN} | \
		perl ${.CURDIR}/../ascii2txt.pl | \
		perl ${.CURDIR}/../txt2tooltip.pl > tooltip.h

beforeinstall:
	install -m 755 -d ${PREFIX}/bin
	install -m 755 -d ${PREFIX}/man/man1/
	install -m 755 -d ${PREFIX}/man/html1/
	install -m 755 -d ${PREFIX}/share/xombrero
	install -m 644 $(.CURDIR)/../xombrero.css ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../xombreroicon.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../xombreroicon16.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../xombreroicon32.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../xombreroicon48.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../xombreroicon64.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../xombreroicon128.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../tld-rules ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../style.css ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../hsts-preload ${PREFIX}/share/xombrero

${PROG} ${OBJS} beforedepend: javascript.h tooltip.h

.include <bsd.prog.mk>

=== osx/Makefile ===
LIBS= glib-2.0
LIBS+= gtk+-2.0 webkit-1.0
LIBS+= libsoup-2.4 gnutls

CFLAGS+= -O2 -Wall -D_GNU_SOURCE -I. -I.. $(shell pkg-config --cflags $(LIBS)) $(JS_CF)
LDADD+= $(shell pkg-config --libs $(LIBS)) $(JS_LD) -ldl -lX11

PREFIX?= /usr/local
BINDIR?= $(PREFIX)/bin
APPDIR?= $(PREFIX)/share/applications
MANDIR?= $(PREFIX)/share/man
RESDIR?= $(PREFIX)/share/xombrero

SRCS= $(shell ls ../*.c)
SRCS+= osx.c
OBJS= $(SRCS:.c=.o)
DEPS= $(addsuffix .depend, $(OBJS))

CC?= gcc

BUILDVERSION= $(shell sh $(CURDIR)/../buildver.sh)
ifneq ("${BUILDVERSION}", "")
CFLAGS+= -DXOMBRERO_BUILDSTR=\"$(BUILDVERSION)\"
endif

all: javascript.h tooltip.h xombrero

javascript.h: ../js-merge-helper.pl ../hinting.js ../autoscroll.js
	perl ../js-merge-helper.pl ../hinting.js ../input-focus.js \
	../autoscroll.js > javascript.h

tooltip.h: ../ascii2txt.pl ../txt2tooltip.pl ../xombrero.1
	ln -sf ../linux/tree.h
	ln -sf ../linux/util.h
	nroff -c -Tascii -mandoc ../xombrero.1 | \
	perl ../ascii2txt.pl | \
	perl ../txt2tooltip.pl > tooltip.h

xombrero: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $+ $(LDADD)

%.o: %.c
	@echo "Generating $@.depend"
	@$(CC) -MM $(CPPFLAGS) $(CFLAGS) $< | \
	sed 's,^.*\.o[ :]*,$@ $@.depend : ,g' > $@.depend
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c $<

install: all
	install -m 755 -d $(DESTDIR)$(BINDIR)
	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 755 -d $(DESTDIR)$(RESDIR)
	install -m 755 -d $(DESTDIR)$(APPDIR)
	install -m 755 xombrero $(DESTDIR)$(BINDIR)
	install -m 644 ../xombrero.1 $(DESTDIR)$(MANDIR)/man1/xombrero.1
	install -m 644 ../xombrero.css $(DESTDIR)$(RESDIR)
	install -m 644 ../xombrero.desktop $(DESTDIR)$(APPDIR)
	install -m 644 ../xombreroicon16.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon32.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon48.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon64.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xombreroicon128.png $(DESTDIR)$(RESDIR)
	install -m 644 ../tld-rules $(DESTDIR)$(RESDIR)
	install -m 644 ../style.css $(DESTDIR)$(RESDIR)
	install -m 644 ../hsts-preload $(DESTDIR)$(RESDIR)
	install -m 644 ../torenabled.ico $(DESTDIR)$(RESDIR)
	install -m 644 ../tordisabled.ico $(DESTDIR)$(RESDIR)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/xombrero
	rm -f $(DESTDIR)$(MANDIR)/man1/xombrero.1
	rm -f $(DESTDIR)$(APPDIR)/xombrero.desktop
	rm -f $(DESTDIR)$(RESDIR)/xombreroicon.png
	rm -f $(DESTDIR)$(RESDIR)/xombreroicon16.png
	rm -f $(DESTDIR)$(RESDIR)/xombreroicon32.png
	rm -f $(DESTDIR)$(RESDIR)/xombreroicon48.png
	rm -f $(DESTDIR)$(RESDIR)/xombreroicon64.png
	rm -f $(DESTDIR)$(RESDIR)/xombreroicon128.png
	rm -f $(DESTDIR)$(RESDIR)/xombrero.css
	rm -f $(DESTDIR)$(RESDIR)/tordisabled.ico
	rm -f $(DESTDIR)$(RESDIR)/torenabled.ico
	rm -f $(DESTDIR)$(RESDIR)/tld-rules
	rm -f $(DESTDIR)$(RESDIR)/style.css
	rm -f $(DESTDIR)$(RESDIR)/hsts-preload
	if [ -d $(DESTDIR)$(RESDIR) ]; then rmdir $(DESTDIR)$(RESDIR); fi
clean:
	rm -f xombrero $(OBJS) $(DEPS)
	rm -f javascript.h
	rm -f tooltip.h
	rm -f tree.h
	rm -f util.h

-include $(DEPS)

.PHONY: all install clean

=== debian/changelog ===
xombrero (2:1.6.3-1) unstable; urgency=low

  [Joao Eriberto Mota Filho]

  * New maintainer.
  * Luis Henriques now acting as co-maintainer. Thanks Luis Henriques for
    your nice work around the xxxterm. Let's go!
  * ACK for NMUs to xxxterm:
      - Fix FTBFS due to main Makefile being fit for BSD make. Thanks to
        Andrew Shadura <andrewsh@debian.org>. (Closes: 718074)
      - Added patch resolving FTBFS due to missing header. Thanks to
        Daniel T Chen <seven.steps@gmail.com> and
        David Prévot <taffit@debian.org>. (Closes: #729439, #730330)
        This patch was reviewed and adapted to Xombrero.
        (Closes: #729439, #730330)
      - 0007-Unnecessary-gcrypt-requirement.diff: Only link against and
        #include gcrypt for gnutls < 2.12. Thanks to
        Andreas Metzler <ametzler@debian.org> and
        Dimitri John Ledkov <xnox@ubuntu.com>. (Closes: #746155)
      - Rebuild against GnuTLS v3. Thanks to
        Andreas Metzler <ametzler@debian.org>. (Closes: #752313)
  * debian/control:
      - Added a VCS (Git).
      - Some adjustments in short/long descriptions.
  * debian/copyright: reviewed and updated.
  * debian/patches: dropped the 0007-Unnecessary-gcrypt-requirement.diff
    patch because Xombrero doesn't link against gcrypt.
  * debian/rules: added --parallel option to DH.
  * debian/source: added a Lintian override to explain about a false
    positive.
  * debian/watch: improved.
  * xombrero.lintian-overrides: added a Lintian override to explain about
    a false positive.

  [Luis Henriques]

  * New upstream release (Closes: #695874, #677205).
  * Changed source and binary package name to xombrero in order to be
    consistent with upstream's new naming:
    - New package now 'replaces' and 'Breaks' the obsolete xxxterm package.
  * Updated debian/control file:
    - Description field to match the new package description.
    - Changed from libwebkitgtk-dev to libwebkitgtk-3.0-dev dependency.
    - Added xxxterm dummy package.
  * Updated debian/copyright file to match the file renames.
  * Renamed debian/xxxterm.upstream-changelog to
    debian/xombrero.upstream-changelog.
  * Modified all other control files according to the renaming:
    - debian/examples
    - debian/install
    - debian/menu
    - debian/postinst
    - debian/prerm
    - debian/rules
    - debian/watch
  * Added NEWS.Debian file.
  * Moved to debhelper v9, to handle hardening flags.
  * Updated Standards-Version to latest version (3.9.5).
  * Updated debian/menu icon path to use full path instead of relative
    path.
  * Added debian/docs file to install README.md.
  * Dropped 0003-Unnecessary-lib-directory-installation patch as it is not
    required anymore.
  * Added new patch to add "Keywords" to .desktop file.
  * Added lintian-overrides file to ignore a typo in a quote.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 08 Sep 2014 09:30:43 -0300

xxxterm (1:1.11.3-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against GnuTLS v3. Closes: #752313

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Aug 2014 16:03:09 +0200

xxxterm (1:1.11.3-1.3) unstable; urgency=medium

  [ Andreas Metzler ]
  * 0007-Unnecessary-gcrypt-requirement.diff: Only link against and #include
    gcrypt for gnutls < 2.12. (Closes: #746155)

  [ Dimitri John Ledkov ]
  * Non-maintainer upload.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 17 May 2014 02:09:26 +0100

xxxterm (1:1.11.3-1.2) unstable; urgency=medium

  * Non-maintainer upload

  [ Daniel T Chen ]
  * Added patch resolving FTBFS due to missing header
   (Closes: #729439, #730330)

 -- David Prévot <taffit@debian.org>  Mon, 23 Dec 2013 19:02:49 -0400

xxxterm (1:1.11.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS due to main Makefile being fit for BSD make (Closes: 718074).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 16 Oct 2013 10:54:59 +0200
2

xxxterm (1:1.11.3-1) unstable; urgency=low

  * New upstream release
  * Updated copyright file with new files in package
  * Updated copyright file "format" field
  * Added postinst and prerm to add/remove x-www-browser alternative
    (Closes: #660331)
  * Updated Standards-Version to latest version (3.9.3)

 -- Luis Henriques <henrix@camandro.org>  Sun, 04 Mar 2012 13:12:46 +0000

xxxterm (1:1.10.0-1) unstable; urgency=low

  * New upstream release

 -- Luis Henriques <henrix@camandro.org>  Thu, 05 Jan 2012 00:09:02 +0000

xxxterm (1:1.9.0-1) unstable; urgency=low

  * New upstream release (Closes: #648228 #651673)
  * Updated copyright file
  * Added 'epoch' component to package version, due to upstream versioning
    scheme change

 -- Luis Henriques <henrix@camandro.org>  Thu, 08 Dec 2011 21:35:33 +0000

xxxterm (1.518-1) unstable; urgency=low

  * Imported Upstream version 1.518 (Closes: #636807)
  * Patches re-generation (package being managed with git now)
  * Updated copyright file
  * watch file modified
  * build-deps now has one package per line

 -- Luis Henriques <luis.henrix@gmail.com>  Tue, 09 Aug 2011 19:03:51 +0100

xxxterm (1.471-1) unstable; urgency=low

  * New upstream release (Closes: #636566)
  * Fixed typo in man page, with patch from "A. Costa" <agcosta@gis.net>
    (Closes: 635643)
  * Added 3 new example files: playflash.sh for the default_script
    configuration option, a quickmarks file and a favorites file

 -- Luis Henriques <luis.henrix@gmail.com>  Thu, 04 Aug 2011 22:26:01 +0100

xxxterm (1.425-2) unstable; urgency=low

  * Transition to Webkit 1.3 (Closes: #635433)
  * Fix icon path on debian/menu (Closes: #635355)

 -- Luis Henriques <luis.henrix@gmail.com>  Tue, 26 Jul 2011 19:07:59 +0100

xxxterm (1.425-1) unstable; urgency=low

  * New upstream release (Closes: #634084)
  * Added upstream changelog, obtained from project web forum
  * Corrected copyright for files hinting.js, input-focus.js and
    js-merge-helper.pl; Added copyright for PNG files and for javascript.h


=== debian/control ===
Source: xombrero
Section: web
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Uploaders: Luis Henriques <henrix@camandro.org>
Build-Depends: debhelper (>= 9),
  libwebkitgtk-3.0-dev,
  libgtk-3-dev,
  libsoup2.4-dev,
  libgnutls28-dev,
  libbsd-dev,
  imagemagick
Standards-Version: 3.9.5
Homepage: http://opensource.conformal.com/wiki/xombrero
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/xombrero.git
Vcs-Git: git://anonscm.debian.org/collab-maint/xombrero.git

Package: xombrero
Architecture: any
Replaces: xxxterm (<< 2:1.6.3-1~)
Breaks: xxxterm (<< 2:1.6.3-1~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalist web browser
 xombrero is a minimalist web browser with sophisticated security features
 designed-in, rather than through an add-on after-the-fact. In particular,
 it provides both persistent and per-session controls for scripts and cookies,
 making it easy to thwart tracking and scripting attacks.
 .
 In addition to providing a familiar mouse-based interface like other web
 browsers, it offers a set of vi-like keyboard commands for users who prefer
 to keep their hands on their keyboard.
 .
 The default settings provide a secure environment. With simple keyboard
 commands, the user can whitelist specific sites, allowing cookies and scripts
 from those sites.
 .
 xombrero is light and has a very good performance when running over network
 connections, as SSH forwarded tunnels.
 .
 The major features are:
   - Tabbed browsing;
   - Written entirely in C;
   - Based on Webkit and GTK3, with GTK2 compatibility;
   - Built with security in mind;
   - Minimal on-screen layout;
   - Cookie, javascript and plugin toggles and whitelists;
   - Browsing session data auto-saves in case of crash;
   - Simple integration with Tor and other web proxies;
   - vi-like default keybindings;
   - Mouse-less browsing;
   - Basic MIME support;
   - Seamless upgrade process;
   - DNS and link prefetch disabled by default;
   - Colorful address bar indicates HTTPS certificate status;
   - Control over user_agent presented to sites;
   - Download manager;
   - Text-based config file;
   - Bookmarks, i.e. favorites;
   - Printing, including to PDF.

Package: xxxterm
Section: oldlibs
Priority: extra
Architecture: all
Depends: xombrero, ${misc:Depends}
Description: transitional dummy package for xxxterm
 This is a transitional dummy package to xombrero. It can safely be removed.

## xombrero 1.6.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 PREFIX?=/usr/local
 BINDIR=${PREFIX}/bin
+CFLAGS+= -DXT_DS_RESOURCE_DIR=\"$(PREFIX)/share/xombrero/\"
 
 PROG=xombrero
 MAN=xombrero.1
@@ -59,14 +60,15 @@
 	install -m 755 -d ${PREFIX}/man/man1/
 	install -m 755 -d ${PREFIX}/share/xombrero
 	install -m 755 -d ${PREFIX}/share/applications
-	install -m 644 $(.CURDIR)/xombrero.css ${PREFIX}/share/xombrero
-	install -m 644 $(.CURDIR)/xombrero.desktop ${PREFIX}/share/applications
-	install -m 644 ${.CURDIR}/xombreroicon.png ${PREFIX}/share/xombrero
+	install -m 644 ${.CURDIR}/xombrero.css ${PREFIX}/share/xombrero
+	install -m 644 ${.CURDIR}/xombrero.desktop ${PREFIX}/share/applications
 	install -m 644 ${.CURDIR}/xombreroicon16.png ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/xombreroicon32.png ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/xombreroicon48.png ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/xombreroicon64.png ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/xombreroicon128.png ${PREFIX}/share/xombrero
+	install -m 644 ${.CURDIR}/xombreroicon256.png ${PREFIX}/share/xombrero
+	install -m 644 ${.CURDIR}/favicon.ico ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/tld-rules ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/style.css ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/hsts-preload ${PREFIX}/share/xombrero

=== dragonfly/Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 BINDIR?= $(PREFIX)/bin
 MANDIR?= $(PREFIX)/man
 RESDIR?= $(PREFIX)/share/xombrero/
+CFLAGS+= -DXT_DS_RESOURCE_DIR=\"$(RESDIR)\"
 
 CC= cc
 
@@ -67,6 +68,7 @@
 	install -m 755 -d $(DESTDIR)$(BINDIR)
 	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
 	install -m 755 -d $(DESTDIR)$(RESDIR)
+	install -m 755 -d $(DESTDIR)$(PREFIX)/share/applications
 	install -m 755 xombrero $(DESTDIR)$(BINDIR)
 	install -m 644 ../xombrero.1 $(DESTDIR)$(MANDIR)/man1/xombrero.1
 	install -m 644 ../xombrero.css $(DESTDIR)$(RESDIR)
@@ -76,6 +78,8 @@
 	install -m 644 ../xombreroicon48.png $(DESTDIR)$(RESDIR)
 	install -m 644 ../xombreroicon64.png $(DESTDIR)$(RESDIR)
 	install -m 644 ../xombreroicon128.png $(DESTDIR)$(RESDIR)
+	install -m 644 ../xombreroicon256.png $(DESTDIR)$(RESDIR)
+	install -m 644 ../favicon.ico $(DESTDIR)$(RESDIR)
 	install -m 644 ../tld-rules $(DESTDIR)$(RESDIR)
 	install -m 644 ../style.css $(DESTDIR)$(RESDIR)
 	install -m 644 ../hsts-preload $(DESTDIR)$(RESDIR)

=== freebsd/Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 BINDIR?= $(PREFIX)/bin
 MANDIR?= $(PREFIX)/man
 RESDIR?= $(PREFIX)/share/xombrero
+CFLAGS+= -DXT_DS_RESOURCE_DIR=\"$(RESDIR)\"
 
 CC?= cc
 
@@ -66,6 +67,7 @@
 install: all
 	install -m 755 -d $(DESTDIR)$(BINDIR)
 	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
+	install -m 755 -d $(DESTDIR)$(PREFIX)/share/applications
 	install -m 755 xombrero $(DESTDIR)$(BINDIR)
 	install -m 644 ../xombrero.1 $(DESTDIR)$(MANDIR)/man1/xombrero.1
 	install -m 644 ../xombrero.css $(DESTDIR)$(RESDIR)
@@ -75,6 +77,8 @@
 	install -m 644 ../xombreroicon48.png $(DESTDIR)$(RESDIR)
 	install -m 644 ../xombreroicon64.png $(DESTDIR)$(RESDIR)
 	install -m 644 ../xombreroicon128.png $(DESTDIR)$(RESDIR)
+	install -m 644 ../xombreroicon256.png $(DESTDIR)$(RESDIR)
+	install -m 644 ../favicon.ico $(DESTDIR)$(RESDIR)
 	install -m 644 ../tld-rules $(DESTDIR)$(RESDIR)
 	install -m 644 ../style.css $(DESTDIR)$(RESDIR)
 	install -m 644 ../hsts-preload $(DESTDIR)$(RESDIR)

=== linux/Makefile ===
PREFIX?=/usr/local
BINDIR=${PREFIX}/bin
CFLAGS+=-DXT_DS_RESOURCE_DIR=\"$(PREFIX)/share/xombrero/\"

PROG=xombrero
MAN=xombrero.1

DEBUG= -g

SRCS= cookie.c inspector.c marco.c about.c whitelist.c settings.c inputfocus.c
SRCS+= history.c completion.c tldlist.c externaleditor.c unix.c xombrero.c
SRCS+= linux.c
.PATH: ${.CURDIR}/..

CFLAGS+= -O2 -Wall -Wno-format-extra-args -Wunused -Wextra -Wno-unused-parameter
CFLAGS+= -Wno-missing-field-initializers -Wno-sign-compare
CFLAGS+= -Wno-deprecated-declarations -Wfloat-equal ${DEBUG}
CFLAGS+= -DGTK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE
CFLAGS+= -DGDK_DISABLE_DEPRECATION_WARNINGS -DGLIB_DISABLE_DEPRECATION_WARNINGS
CFLAGS+= -I. -I..
CFLAGS+= -D_GNU_SOURCE
LDADD= -lutil -lbsd -ldl
GTK_VERSION ?= gtk3
.if ${GTK_VERSION} == "gtk2"
LIBS+= gtk+-2.0
LIBS+= webkit-1.0
.else
LIBS+= gtk+-3.0
LIBS+= webkitgtk-3.0
.endif
LIBS+= libsoup-2.4
LIBS+= gnutls
GTK_CFLAGS!= pkg-config --cflags $(LIBS)
GTK_LDFLAGS!= pkg-config --libs $(LIBS)
CFLAGS+= $(GTK_CFLAGS)
LDFLAGS+= $(GTK_LDFLAGS)
BUILDVERSION != sh "${.CURDIR}/../buildver.sh"
.if !${BUILDVERSION} == ""
CPPFLAGS+= -DXOMBRERO_BUILDSTR=\"$(BUILDVERSION)\"
.endif

MANDIR= ${PREFIX}/share/man/

CLEANFILES += ${.CURDIR}/javascript.h javascript.h tooltip.h xombrero.cat1 xombrero.core

JSFILES += ../hinting.js
JSFILES += ../input-focus.js
JSFILES += ../autoscroll.js

.for _js in ${JSFILES}
JSCURDIR += ${.CURDIR}/${_js}
.endfor

.NOPATH: javascript.h tooltip.h
javascript.h: ${JSFILES} ../js-merge-helper.pl
	perl ${.CURDIR}/../js-merge-helper.pl \
		${JSCURDIR} > javascript.h

tooltip.h: ${MAN} ../ascii2txt.pl ../txt2tooltip.pl
	mandoc -Tascii ${.CURDIR}/../${MAN} | \
		perl ${.CURDIR}/../ascii2txt.pl | \
		perl ${.CURDIR}/../txt2tooltip.pl > tooltip.h

beforeinstall:
	install -m 755 -d ${PREFIX}/bin
	install -m 755 -d ${MANDIR}/man1/
	install -m 755 -d ${PREFIX}/share/xombrero
	install -m 755 -d ${PREFIX}/share/applications
	install -m 644 ${.CURDIR}/../xombrero.css ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../xombrero.desktop ${PREFIX}/share/applications
	install -m 644 ${.CURDIR}/../xombreroicon16.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../xombreroicon32.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../xombreroicon48.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../xombreroicon64.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../xombreroicon128.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../xombreroicon256.png ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../favicon.ico ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../tld-rules ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../style.css ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../hsts-preload ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../user-agent-headers ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../http-accept-headers ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../torenabled.ico ${PREFIX}/share/xombrero
	install -m 644 ${.CURDIR}/../tordisabled.ico ${PREFIX}/share/xombrero

${PROG} ${OBJS} beforedepend: javascript.h tooltip.h

.include <bsd.prog.mk>

=== netbsd/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 PREFIX?=/usr/local
 BINDIR=${PREFIX}/bin
+CFLAGS+=-DXT_DS_RESOURCE_DIR=\"$(PREFIX)/share/xombrero/\"
 
 PROG=xombrero
 MAN=xombrero.1
@@ -11,8 +12,9 @@
 SRCS+= netbsd.c
 .PATH: ${.CURDIR}/..
 
-CFLAGS+= -O2 -Wall -Wno-format-extra-args -Wunused
-CFLAGS+= -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-sign-compare ${DEBUG}
+CFLAGS+= -O2 -Wall -Wno-format-extra-args -Wunused -Wextra -Wno-unused-parameter
+CFLAGS+= -Wno-missing-field-initializers -Wno-sign-compare
+CFLAGS+= -Wno-deprecated-declarations -Wfloat-equal ${DEBUG}
 CFLAGS+= -DGTK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE
 CFLAGS+= -DGDK_DISABLE_DEPRECATION_WARNINGS -DGLIB_DISABLE_DEPRECATION_WARNINGS
 CFLAGS+= -I. -I..
@@ -60,19 +62,26 @@
 
 beforeinstall:
 	install -m 755 -d ${PREFIX}/bin
-	install -m 755 -d ${PREFIX}/man/man1/
-	install -m 755 -d ${PREFIX}/man/html1/
+	install -m 755 -d ${MANDIR}/man1/
+	install -m 755 -d ${MANDIR}/html1/
 	install -m 755 -d ${PREFIX}/share/xombrero
-	install -m 644 $(.CURDIR)/../xombrero.css ${PREFIX}/share/xombrero
-	install -m 644 ${.CURDIR}/../xombreroicon.png ${PREFIX}/share/xombrero
+	install -m 755 -d ${PREFIX}/share/applications
+	install -m 644 ${.CURDIR}/../xombrero.css ${PREFIX}/share/xombrero
+	install -m 644 ${.CURDIR}/../xombrero.desktop ${PREFIX}/share/applications
 	install -m 644 ${.CURDIR}/../xombreroicon16.png ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/../xombreroicon32.png ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/../xombreroicon48.png ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/../xombreroicon64.png ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/../xombreroicon128.png ${PREFIX}/share/xombrero
+	install -m 644 ${.CURDIR}/../xombreroicon256.png ${PREFIX}/share/xombrero
+	install -m 644 ${.CURDIR}/../favicon.ico ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/../tld-rules ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/../style.css ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/../hsts-preload ${PREFIX}/share/xombrero
+	install -m 644 ${.CURDIR}/../user-agent-headers ${PREFIX}/share/xombrero
+	install -m 644 ${.CURDIR}/../http-accept-headers ${PREFIX}/share/xombrero
+	install -m 644 ${.CURDIR}/../torenabled.ico ${PREFIX}/share/xombrero
+	install -m 644 ${.CURDIR}/../tordisabled.ico ${PREFIX}/share/xombrero
 
 ${PROG} ${OBJS} beforedepend: javascript.h tooltip.h

=== osx/Makefile ===
--- 
+++ 
@@ -1,5 +1,12 @@
 LIBS= glib-2.0
-LIBS+= gtk+-2.0 webkit-1.0
+GTK_VERSION ?= gtk3
+ifeq ("${GTK_VERSION}", "gtk2")
+LIBS+= gtk+-2.0
+LIBS+= webkit-1.0
+else
+LIBS+= gtk+-3.0
+LIBS+= webkitgtk-3.0
+endif
 LIBS+= libsoup-2.4 gnutls
 
 CFLAGS+= -O2 -Wall -D_GNU_SOURCE -I. -I.. $(shell pkg-config --cflags $(LIBS)) $(JS_CF)
@@ -10,6 +17,7 @@
 APPDIR?= $(PREFIX)/share/applications
 MANDIR?= $(PREFIX)/share/man
 RESDIR?= $(PREFIX)/share/xombrero
+CFLAGS+= -DXT_DS_RESOURCE_DIR=\"$(RESDIR)\"
 
 SRCS= $(shell ls ../*.c)
 SRCS+= osx.c
@@ -30,8 +38,6 @@
 	../autoscroll.js > javascript.h
 
 tooltip.h: ../ascii2txt.pl ../txt2tooltip.pl ../xombrero.1
-	ln -sf ../linux/tree.h
-	ln -sf ../linux/util.h
 	nroff -c -Tascii -mandoc ../xombrero.1 | \
 	perl ../ascii2txt.pl | \
 	perl ../txt2tooltip.pl > tooltip.h
@@ -59,9 +65,13 @@
 	install -m 644 ../xombreroicon48.png $(DESTDIR)$(RESDIR)
 	install -m 644 ../xombreroicon64.png $(DESTDIR)$(RESDIR)
 	install -m 644 ../xombreroicon128.png $(DESTDIR)$(RESDIR)
+	install -m 644 ../xombreroicon256.png $(DESTDIR)$(RESDIR)
+	install -m 644 ../favicon.ico $(DESTDIR)$(RESDIR)
 	install -m 644 ../tld-rules $(DESTDIR)$(RESDIR)
 	install -m 644 ../style.css $(DESTDIR)$(RESDIR)
 	install -m 644 ../hsts-preload $(DESTDIR)$(RESDIR)
+	install -m 644 ../user-agent-headers ${DESTDIR}$(RESDIR)
+	install -m 644 ../http-accept-headers ${DESTDIR}$(RESDIR)
 	install -m 644 ../torenabled.ico $(DESTDIR)$(RESDIR)
 	install -m 644 ../tordisabled.ico $(DESTDIR)$(RESDIR)
 
@@ -69,25 +79,26 @@
 	rm -f $(DESTDIR)$(BINDIR)/xombrero
 	rm -f $(DESTDIR)$(MANDIR)/man1/xombrero.1
 	rm -f $(DESTDIR)$(APPDIR)/xombrero.desktop
-	rm -f $(DESTDIR)$(RESDIR)/xombreroicon.png
 	rm -f $(DESTDIR)$(RESDIR)/xombreroicon16.png
 	rm -f $(DESTDIR)$(RESDIR)/xombreroicon32.png
 	rm -f $(DESTDIR)$(RESDIR)/xombreroicon48.png
 	rm -f $(DESTDIR)$(RESDIR)/xombreroicon64.png
 	rm -f $(DESTDIR)$(RESDIR)/xombreroicon128.png
+	rm -f $(DESTDIR)$(RESDIR)/xombreroicon256.png
 	rm -f $(DESTDIR)$(RESDIR)/xombrero.css
+	rm -f $(DESTDIR)$(RESDIR)/favicon.ico
 	rm -f $(DESTDIR)$(RESDIR)/tordisabled.ico
 	rm -f $(DESTDIR)$(RESDIR)/torenabled.ico
 	rm -f $(DESTDIR)$(RESDIR)/tld-rules
 	rm -f $(DESTDIR)$(RESDIR)/style.css
 	rm -f $(DESTDIR)$(RESDIR)/hsts-preload
+	rm -f ${DESTDIR}$(RESDIR)/user-agent-headers
+	rm -f ${DESTDIR}$(RESDIR)/http-accept-headers
 	if [ -d $(DESTDIR)$(RESDIR) ]; then rmdir $(DESTDIR)$(RESDIR); fi
 clean:
 	rm -f xombrero $(OBJS) $(DEPS)
 	rm -f javascript.h
 	rm -f tooltip.h
-	rm -f tree.h
-	rm -f util.h
 
 -include $(DEPS)

=== debian/changelog ===
xombrero (2:1.6.4-3build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:28:41 +0000

xombrero (2:1.6.4-3) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 21 Jun 2015 10:49:07 -0300

xombrero (2:1.6.4-2) experimental; urgency=medium

  * QA upload.
  * Set maintainer as Debian QA Group <packages@qa.debian.org>.
    (please, see #782242)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 09 Apr 2015 10:18:48 -0300

xombrero (2:1.6.4-1) experimental; urgency=medium

  * New upstream release.  (Closes: #635314, #657017, #757578, #765744)
  * debian/control: put my name in Uploaders field.
                    Bump Standards-Version to 3.9.6.
  * debian/copyright: put my name in debian entry.
  * debian/patches/*: reviewed.
           0005-Don-t-install-xombrero.desktop-file.patch removed.
  * debian/source/lintian-overrides: removed because is useless now.
  * xombrero.lintian-overrides: removed the now unused override
           desktop-mime-but-no-exec-code.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Tue, 03 Mar 2015 15:33:09 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xombrero
 Section: web
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Uploaders: Luis Henriques <henrix@camandro.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9),
   libwebkitgtk-3.0-dev,
   libgtk-3-dev,
@@ -10,7 +9,7 @@
   libgnutls28-dev,
   libbsd-dev,
   imagemagick
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://opensource.conformal.com/wiki/xombrero
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/xombrero.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/xombrero.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) -C linux/ PREFIX=/usr
	convert -resize 32x32 xombreroicon32.png xombrero.xpm

override_dh_auto_install:
	$(MAKE) -C linux/ install PREFIX=/usr \
		DESTDIR=$(CURDIR)/debian/xombrero

override_dh_auto_clean:
	$(MAKE) -C linux/ clean
	rm -f xombrero.xpm

override_dh_installchangelogs:
	dh_installchangelogs debian/xombrero.upstream-changelog

# Fix FTBFS due to main Makefile being fit for BSD make (#718074).
override_dh_auto_test:

=== debian/watch ===
version=3
https://opensource.conformal.com/snapshots/xombrero/xombrero-(\d\S+)\.(?:tgz|tar\.(?:bz2|gz|xz))
